TokenLab

Gemini Files & Cache

List Gemini cached content

Lists cached content belonging to the current Workspace.

GET
/v1beta/cachedContents
Lists cached content belonging to the current Workspace. Use nextPageToken to continue. Resources can only be read, referenced, changed, or deleted in their owning Workspace.
curl -X GET "https://example.com/v1beta/cachedContents"
{  "cachedContents": [    {      "name": "string",      "model": "string",      "displayName": "string",      "createTime": "2019-08-24T14:15:22Z",      "updateTime": "2019-08-24T14:15:22Z",      "expireTime": "2019-08-24T14:15:22Z",      "usageMetadata": {}    }  ],  "nextPageToken": "string"}

Authorization

AuthorizationBearer <token>

API Key authentication. Create or manage API keys in Dashboard > API > API Keys.

In: header

Query Parameters

key?string

API key alternative to Bearer or x-goog-api-key.

pageSize?integer

Requested page size; page_size is also accepted.

pageToken?string

Opaque nextPageToken from the previous response. page_token is also accepted.

Response

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json